#ifndef FINDRESULTWIDGET_H 
#define FINDRESULTWIDGET_H

#include <QItemSelection>
#include <QWidget>

class FindResultModel;
class TreeItem;
class VymModel;
class QTreeView;
class QPushButton;

class FindResultWidget: public QWidget
{
	Q_OBJECT

public:
	FindResultWidget (VymModel *m=NULL, QWidget *parent=NULL);
	void setModel (VymModel *m);
	FindResultModel* getResultModel();
	void addItem (TreeItem *ti);
	void addItem (const QString &s);
	void addResult (const QString &category, TreeItem *ti);

public slots:	
	void popup();
	void cancelPressed();
	void updateSelection(QItemSelection ,QItemSelection);

signals:
	void hideFindResultWidget();

private:
	VymModel *model;
	FindResultModel *resultsModel;
	QTreeView *view;
};

#endif

